$(function(){
	
	// loading ...
	$(document).on({
		ajaxStart: function() { $('body').addClass("loading"); },
		ajaxStop: function() { $('body').removeClass("loading"); }
	});

	
	$('input[type=number]').change(function(){
		if (parseInt($(this).val()) < parseInt($(this).attr('min'))) {
			$(this).val( $(this).attr('min') );
		}

		if (parseInt($(this).val()) > parseInt($(this).attr('max'))) {
			$(this).val( $(this).attr('max') );
		}
	})
	
});


function humanDateHM(input)
{
	var date = (typeof input == 'Date') ? input : new Date(input);
	
	return humanHM(date.getHours(), date.getMinutes());
}

function humanHM(hour, minute)
{
	return ((hour < 10) ? ('0'+ hour) : hour) +':'+ ((minute < 10) ? ('0'+ minute) : minute);
}

function humanDateRangeHM(range)
{
	range = Math.round(range / 1000 / 60);
	
	var hour   = Math.floor(range / 60);
	var minute = Math.floor((range - hour * 60));

	return humanHM(hour, minute);
}